%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(HTML/TreeBuilder.pm) perl(Inline.pm) perl(Inline/C.pm) perl(Inline/MakeMaker.pm) perl(Test/More.pm) perl(diagnostics.pm) perl(Parse/RecDescent.pm)
# END SourceDeps(oneline)
%define module_version 0.06
%define module_name Archive-Chm
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators libchm-devel

Name: perl-%module_name
Version: 0.06
Release: alt7
Summary: Performs some read-only operations on HTML help (.chm) files. 
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/A/AP/APALADE/%module_name-%module_version.tar.gz
Patch: Archive-Chm-0.06-fix-compile.patch

%description
the Archive::Chm manpage is a module that provides access to Microsoft Compiled HTML Help 
files (chm files). A lot of today's software ships with documentation in .chm 
format. However Microsoft only provides viewing tools for their own OS and the 
company doesn't disclose the format specification.

Unofficial specs can be found at Matthew T. Russotto's site: 
http://www.speakeasy.org/~russotto/chm/chmformat.html

The module is basically a wrapper of Jed Wing's chmlib, a C library that 
provides access to all ITSS archives, though .chm is the only ITSS type 
file in use today. To use this module you need chmlib installed on your system.
You can get it at: http://66.93.236.84/~jedwin/projects/chmlib/

Currently access to .chm files is read-only and this will change over time if 
Jed Wing upgrades his library. Supported operations are getting a listing of the 
contents, extracting one or all items in the archive and retrieving an item's length.



%prep
%setup -n %module_name-%module_version
%patch
mkdir -p Archive
cp Chm.pm Archive

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README examples
%perl_vendor_archlib/A*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.06-alt7
- rebuild with perl 5.38

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 0.06-alt6
- rebuild with perl 5.34.0

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 0.06-alt5.1
- rebuild with perl 5.30

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 0.06-alt4.1
- rebuild with perl 5.28.1

* Mon Dec 18 2017 Igor Vlasenko <viy@altlinux.ru> 0.06-alt4
- rebuild with perl 5.26

* Sun Feb 12 2017 Cronbuild Service <cronbuild@altlinux.org> 0.06-alt3
- rebuild to get rid of unmets

* Fri Nov 27 2015 Igor Vlasenko <viy@altlinux.ru> 0.06-alt2.1
- rebuild with perl 5.22

* Mon Dec 15 2014 Cronbuild Service <cronbuild@altlinux.org> 0.06-alt2
- rebuild to get rid of unmets

* Mon Apr 14 2014 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1
- initial import by package builder

